darcs-2.5.2: a distributed, interactive, smart revision control system

Darcs.ColorPrinter

Synopsis

- errorDoc :: Doc -> a
- traceDoc :: Doc -> a -> a
- assertDoc :: Maybe Doc -> a -> a
- fancyPrinters :: Printers

# Documentation

errorDoc :: Doc -> a

traceDoc :: Doc -> a -> a

assertDoc :: Maybe Doc -> a -> a

fancyPrinters :: Printers

``fancyPrinters` h` returns a set of printers suitable for outputting to `h`